<?php
function doAction($user, $pass, $akcja)
{
  if (!$db_lnk = @sqlite_open("./baza.sqlite", 0666, $msg)){
    echo("Problem z połączeniem z bazą danych.");
    return false;
  }

  $pass = sha1($pass);

  $query = "SELECT COUNT(*) FROM USERS WHERE USER = '".$user."'";

  if(!$result = @sqlite_query($db_lnk, $query)){
    echo("Problem z bazą danych. Odrzucone zapytanie.");
    sqlite_close($db_lnk);
    return false;
  }

  if(!$row = @sqlite_fetch_array($result)){
    echo("Problem z bazą danych. Odrzucone zapytanie.");
    sqlite_close($db_lnk);
    return false;
  }

  if($akcja == "add"){
    if($row[0] != 0){
      echo("Użytkownik o podanej nazwie już istnieje!");
    }
    else{
      $query = "INSERT INTO USERS(USER, PASS) VALUES('";
      $query .= $user."', '".$pass."')";
      $result = @sqlite_query($db_lnk, $query);
      if(!$result){
        echo("Problem z bazą danych. Odrzucone zapytanie.");
      }
      else{
        echo("Użytkownik $user został dodany do bazy.");
      }
    }
  }
  else if ($akcja == "remove"){
    if($row[0] != 1){
      echo("Nie ma użytkownika o podanej nazwie!");
    }
    else{
      $query = "DELETE FROM USERS WHERE USER='".$user."'";
      $result = @sqlite_query($db_lnk, $query);
      if(!$result){
        echo("Problem z bazą danych. Odrzucone zapytanie.");
      }
      else{
        echo("Użytkownik $user został usunięty z bazy.");
      }
    }
  }
  else if ($akcja == "modify"){
    if($row[0] != 1){
      echo("Nie ma użytkownika o podanej nazwie!");
    }
    else{
      $query = "UPDATE USERS SET PASS='".$pass."' WHERE USER='".$user."'";
      $result = @sqlite_query($db_lnk, $query);
      if(!$result){
        echo("Problem z bazą danych. Odrzucone zapytanie.5");
      }
      else{
        echo("Dane użytkownika $user zostały zmodyfikowane.");
      }
    }
  }
  else{
    echo("Błędne dane: akcja=$akcja");
    return false;
  }
  sqlite_close($db_lnk);
}

if(isSet($_GET["pass"])){
  $pass = $_GET["pass"];
}
else{
  echo("Brak pola hasło.");
  exit();
}

if(isSet($_GET["user"])){
  $user = $_GET["user"];
}
else{
  echo("Brak pola użytkownik.");
  exit();
}

if(isSet($_GET["akcja"])){
  $akcja = $_GET["akcja"];
}
else{
  echo("Brak pola akcja.");
  exit();
}

if($pass == "" && $akcja != "remove"){
  echo("Brak hasła!");
  exit;
}
if($user == ""){
  echo("Brak nazwy użytkownika!");
  exit;
}

doAction($user, $pass, $akcja);
?>